Summary: Retrieves news from a remote NNTP news server.
Name: suck
Version: 4.2.3
Release: 4
Group: Applications/Internet
Copyright: GPL
Source: http://home.att.net/~bobyetman/%{name}-%{version}.tar.gz
Source1: sucknewsrc
Source2: get.redhat.newsgroups
URL: http://home.att.net/~bobyetman/
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Suck retrieves news from a remote NNTP news server and downloads it to
a client machine without help from the remote server.  You will need
to have read permission on the remote news server.  Suck is designed
for a small, partial news feed (in other words, it is NOT designed to
feed 10,000 groups and three gigabytes of articles a day).

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1 

mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/suck.errlog
chmod 600 $RPM_BUILD_ROOT/var/log/suck.errlog

mkdir -p $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m755 sample/get.news.inn $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m755 sample/get.news.generic $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m755 sample/put.news $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m644 $RPM_SOURCE_DIR/get.redhat.newsgroups $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m644 $RPM_SOURCE_DIR/sucknewsrc $RPM_BUILD_ROOT/usr/lib/news/suck/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGELOG
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/news/suck/bin/sucknewsrc
%{_libdir}/news/suck/bin/scripts/get.news.inn
%{_libdir}/news/suck/bin/scripts/get.news.generic
%{_libdir}/news/suck/bin/scripts/get.redhat.newsgroups
%{_libdir}/news/suck/bin/scripts/put.news
/var/log/suck.errlog

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed so that rebular users can build

* Sat May 20 2000 Tim Powers <timp@redhat.com>
- update to 4.2.3
- put man pages in /usr/share/man/*

* Mon Nov 29 1999 Tim Powers <timp@redhat.com>
- updated to 4.2.2
- gzip man pages, strip binaries
- fixed some general stupidness in the build section, general spec cleanups

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Fri Oct 16 1998 Michael Maher <mike@redhat.com>
- fixed spec file

* Mon Jul 20 1998 Michael Maher <mike@redhat.com>
- built package
